'use strict';
const {
  Model
} = require('sequelize');
module.exports = (sequelize, DataTypes) => {
  class ShippingZone extends Model {
    /**
     * Helper method for defining associations.
     * This method is not a part of Sequelize lifecycle.
     * The `models/index` file will call this method automatically.
     */
    static associate(models) {
      // define association here
    }
  }
  ShippingZone.init({
    name: DataTypes.STRING,
    countries: DataTypes.JSON,
    states: DataTypes.JSON,
    isActive: DataTypes.BOOLEAN
  }, {
    sequelize,
    modelName: 'ShippingZone',
  });
  return ShippingZone;
};